//
// C++ Implementation: beatlinelist
//
// Description:
//
//
// Author: Predrag Viceic <viceic@net2000.ch>, (C) 2005
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "beatlinelist.h"

BeatLineList::BeatLineList()
 : QPtrList <BeatLine>()
{
}


BeatLineList::~BeatLineList()
{
}

int BeatLineList::compareItems ( QPtrCollection::Item item1, QPtrCollection::Item item2 ){
    if(((BeatLine*)item1)->getBeatPos() < ((BeatLine*)item2)->getBeatPos()) return -1;
    else if(((BeatLine*)item1)->getBeatPos() == ((BeatLine*)item2)->getBeatPos()) return 0;
    else return 1;
}


